## alfont 2.0.9-maemo1

=== Makefile ===
# Makefile for AllegroFont using FreeType 2


# select (uncomment) one target and comment DJGPP if you are not aiming
# for that platform
TARGET=DJGPP_STATIC
#TARGET=MINGW32_STATIC
#TARGET=MINGW32_DLL
#TARGET=LINUX_STATIC


CC=gcc
LFLAGS=
LIBIMP=



# DJGPP_STATIC
ifeq ($(TARGET),DJGPP_STATIC)
TARGETFLAGS=-Wall -O2 -march=pentium -fomit-frame-pointer -finline-functions -ffast-math
LIBS=../lib/djgpp/libiconv.a  -liconv
OBJDIR=obj/djgpp/static
LIBDEST=lib/djgpp/libalfont.a
endif



# MINGW32_STATIC
ifeq ($(TARGET),MINGW32_STATIC)
LFLAGS=-mwindows
TARGETFLAGS=-Wall -O2 -march=pentium -fomit-frame-pointer -finline-functions -ffast-math
OBJDIR=obj/mingw32/static
LIBDEST=lib/mingw32/libalfont.a
endif


# MINGW32_DLL
ifeq ($(TARGET),MINGW32_DLL)
LFLAGS=-mwindows -shared
TARGETFLAGS=-Wall -O2 -march=pentium -fomit-frame-pointer -finline-functions -ffast-math
OBJDIR=obj/mingw32/dll
LIBIMP=lib/mingw32/libalfontdll.a
LIBDEST=lib/mingw32/alfont.dll
ALFONT_DLL=1
ALFONT_DLL_EXPORTS=1
endif



# LINUX_STATIC
ifeq ($(TARGET),LINUX_STATIC)
TARGETFLAGS=-Wall -O2 -march=pentium -fomit-frame-pointer -finline-functions -ffast-math
OBJDIR=obj/linux/static
LIBDEST=lib/linux/libalfont.a
endif



# setting object files, paths and compiler flags
vpath %.c freetype/src/autofit
vpath %.c freetype/src/base
vpath %.c freetype/src/cache
vpath %.c freetype/src/cff
vpath %.c freetype/src/cid
vpath %.c freetype/src/lzw
vpath %.c freetype/src/otvalid
vpath %.c freetype/src/pcf
vpath %.c freetype/src/psaux
vpath %.c freetype/src/psnames
vpath %.c freetype/src/pshinter
vpath %.c freetype/src/raster
vpath %.c freetype/src/sfnt
vpath %.c freetype/src/smooth
vpath %.c freetype/src/truetype
vpath %.c freetype/src/type1
vpath %.c freetype/src/type42
vpath %.c freetype/src/gzip
vpath %.c freetype/src/bdf
vpath %.c freetype/src/pfr
vpath %.c freetype/src/winfonts

vpath %.c src
vpath %.o $(OBJDIR)

CFLAGS=$(TARGETFLAGS) -Ifreetype/include -Iinclude
OBJECTS=alfont.o ftsystem.o ftdebug.o ftinit.o ftbase.o ftbitmap.o ftglyph.o ftmm.o ftcache.o cff.o type1cid.o otvalid.o pcf.o psaux.o pshinter.o psmodule.o raster.o sfnt.o smooth.o truetype.o type1.o winfnt.o type42.o ftgzip.o ftlzw.o pfr.o bdf.o autofit.o
OBJECTS2=$(addprefix $(OBJDIR)/,$(OBJECTS))



# making of the library

# MINGW32_DLL
ifeq ($(TARGET),MINGW32_DLL)
$(LIBDEST): $(OBJECTS)
	$(CC) -o $@ $(OBJECTS2) $(LFLAGS) $(CFLAGS) -Wl,--out-implib=$(LIBIMP) -lalleg

# others
else
$(LIBDEST): $(OBJECTS)
	ar rs $(LIBDEST) $(OBJECTS2)
endif


# compiling of the library
%.o: %.c
	$(CC) -c $(CFLAGS) $< -o $(OBJDIR)/$@


clean:
	rm -f $(OBJECTS2) $(LIBDEST) $(LIBIMP)

=== examples/Makefile ===
# Makefile for AllegroFont examples


# select (uncomment) one target and commet DJGPP again if you are not
# aiming for that platform
TARGET=DJGPP_STATIC
#TARGET=MINGW32_STATIC
#TARGET=LINUX_STATIC


CC=gcc
LFLAGS=-s



# DJGPP_STATIC
ifeq ($(TARGET),DJGPP_STATIC)
TARGETFLAGS=-Wall -O2 -march=pentium -fomit-frame-pointer -finline-functions -ffast-math
OUT=djgpp/example1.exe
LIBS=../lib/djgpp/libalfont.a -lalleg ../lib/djgpp/libiconv.a  -liconv
OBJDIR=../obj/djgpp/examples
endif



# MINGW32_STATIC
ifeq ($(TARGET),MINGW32_STATIC)
LFLAGS=-s -mwindows
TARGETFLAGS=-Wall -O2 -march=pentium -fomit-frame-pointer -finline-functions -ffast-math
OUT=mingw32/example1.exe
LIBS=../lib/mingw32/libalfont.a -lalleg
OBJDIR=../obj/mingw32/examples
endif



# LINUX_STATIC
ifeq ($(TARGET),LINUX_STATIC)
TARGETFLAGS=-Wall -O2 -march=pentium -fomit-frame-pointer -finline-functions -ffast-math
OUT=linux/example1
LIBS=../lib/linux/libalfont.a `allegro-config --libs`
OBJDIR=../obj/linux/examples
endif



# setting compiler flags
CFLAGS=$(TARGETFLAGS) -I../include



# making of the example
$(OUT): example1.o
	$(CC) $(LFLAGS) $(CFLAGS) $(OBJDIR)/$< -o $@ $(LIBS)



# compiling of the example
%.o: %.c
	$(CC) -c $(CFLAGS) $< -o $(OBJDIR)/$@



clean:
	rm -f $(OBJDIR)/example1.o $(OUT)

=== debian/changelog ===
alfont (2.0.9-maemo1) unstable; urgency=low

  * Fremantle packaging
  * alfont-2.0.9-linux.patch (from ArcLinux)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 17 May 2011 21:32:59 +0200

=== debian/control ===
Source: alfont
Section: libs
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5), libfreetype6-dev, liballegro4.2-dev
Standards-Version: 3.7.2

Package: alfont
Architecture: any
Depends: ${shlibs:Depends}, openrdate
Description: AllegroFont: http://chernsha.sitesled.com/
 Contains runtime libraries and development headers.
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure:

config.status: configure
	dh_testdir


build: build-stamp

build-stamp:  config.status
	dh_testdir
	gcc -fPIC -DPIC -O2 -Iinclude `freetype-config --cflags` -o src/alfont.o -c src/alfont.c  
	gcc -O2 -shared -Wl,-soname,libalfont.so.2 -o libalfont.so.2.0.9 src/alfont.o `freetype-config --libs` `allegro-config --libs |sed 's/-lalleg_unsharable//'`  

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	#Folders:
	install -d ${CURDIR}/debian/alfont/usr/lib/  
	install -d ${CURDIR}/debian/alfont/usr/include/  

	#Files
	install -m 755 libalfont.so.2.0.9 ${CURDIR}/debian/alfont/usr/lib/  
	install -m 644 include/alfont*.h ${CURDIR}/debian/alfont/usr/include/  

	#Symlinks
	ln -s libalfont.so.2.0.9 ${CURDIR}/debian/alfont/usr/lib/libalfont.so.2.0  
	ln -s libalfont.so.2.0.9 ${CURDIR}/debian/alfont/usr/lib/libalfont.so.2  
	ln -s libalfont.so.2.0.9 ${CURDIR}/debian/alfont/usr/lib/libalfont.so 

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## alfont 2.0.9-maemo2

=== debian/changelog ===
alfont (2.0.9-maemo2) unstable; urgency=low

  * Fremantle packaging
  * alfont-2.0.9-linux.patch (from ArcLinux)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 17 May 2011 21:32:59 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: alfont
 Architecture: any
-Depends: ${shlibs:Depends}, openrdate
+Depends: ${shlibs:Depends}
 Description: AllegroFont: http://chernsha.sitesled.com/
  Contains runtime libraries and development headers.
 XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
